DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# SingleOutputFrameWork

FrameWork for generation functions

## SYNOPSIS

dip_Error dip_SingleOutputFrameWork ( out, processBoundary, processBorder, process )

## FUNCTION

This function is a frontend on the `SeparableFrameWork`. It provides an easier interface for filters that only need to scan an single output image. The dimension in which the image should be scanned can be specified or left to `SingleOutputFrameWork` by specifiying the dimension with `DIP_MONADIC_OPTIMAL_DIMENSION`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `out` | Output
`dip_Boundary` | `processBoundary` | ProcessBoundary
`dip_int` | `processBorder` | ProcessBorder
`dip_FrameWorkProcess` | `process` | Process

## SEE ALSO

`SeparableFrameWork`, `MonadicFrameWork`, `PixelTableFrameWork`, `ScanFrameWork`